Package org.apache.tapestry5.internal.services.javascript

## Class JavaScriptStackSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.javascript.JavaScriptStackSourceImpl

- All Implemented Interfaces:
    `JavaScriptStackSource`

      public class JavaScriptStackSourceImpl
      extends java.lang.Object
      implements JavaScriptStackSource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaScriptStackSourceImpl​(java.util.Map<java.lang.String,​JavaScriptStack> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JavaScriptStack` | `findStack​(java.lang.String name)` | Gets a stack by name (ignoring case).
    `JavaScriptStack` | `findStackForJavaScriptLibrary​(Resource resource)` | Attempts to find the stack containing the indicated JavaScript library.
    `JavaScriptStack` | `getStack​(java.lang.String name)` | Gets a stack by name (ignoring case).
    `java.util.List<java.lang.String>` | `getStackNames()` | Returns the names of all stacks, in sorted order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptStackSourceImpl

          public JavaScriptStackSourceImpl​(java.util.Map<java.lang.String,​JavaScriptStack> configuration)

  - ### Method Detail

    - #### getStack

          public JavaScriptStack getStack​(java.lang.String name)

      Description copied from interface: `JavaScriptStackSource`
      Gets a stack by name (ignoring case).
      Specified by:
        `getStack` in interface `JavaScriptStackSource`
      Returns:
        named stack

    - #### findStack

          public JavaScriptStack findStack​(java.lang.String name)

      Description copied from interface: `JavaScriptStackSource`
      Gets a stack by name (ignoring case).
      Specified by:
        `findStack` in interface `JavaScriptStackSource`
      Returns:
        named stack, or null if not found

    - #### getStackNames

          public java.util.List<java.lang.String> getStackNames()

      Description copied from interface: `JavaScriptStackSource`
      Returns the names of all stacks, in sorted order.
      Specified by:
        `getStackNames` in interface `JavaScriptStackSource`

    - #### findStackForJavaScriptLibrary

          public JavaScriptStack findStackForJavaScriptLibrary​(Resource resource)

      Description copied from interface: `JavaScriptStackSource`
      Attempts to find the stack containing the indicated JavaScript library.
      Specified by:
        `findStackForJavaScriptLibrary` in interface `JavaScriptStackSource`
      Parameters:
        `resource` - identifies a potential JavaScript Library
      Returns:
        the stack if found, or null
      See Also:
        `JavaScriptStack.getJavaScriptLibraries()`